%define module intervaltree

Name:           python-%{module}
Version:        3.1.0
Release:        %mkrel 6
Summary:        A mutable, self-balancing interval tree for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/intervaltree
Source0:        https://files.pythonhosted.org/packages/source/i/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A mutable, self-balancing interval tree for Python. Queries may
be by point, by range overlap, or by range envelopment.

%package -n python3-%{module}
Summary:        A mutable, self-balancing interval tree for Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A mutable, self-balancing interval tree for Python. Queries may
be by point, by range overlap, or by range envelopment.

%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE.txt
%doc README.md CHANGELOG.md
%{python3_sitelib}/*


%changelog
* Sun Mar 02 2025 wally <wally> 3.1.0-6.mga10
+ Revision: 2157149
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 3.1.0-5.mga10
+ Revision: 2035839
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 3.1.0-4.mga9
+ Revision: 1823663
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.1.0-3.mga9
+ Revision: 1784339
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 3.1.0-2.mga9
+ Revision: 1707442
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 3.1.0-1.mga8
+ Revision: 1669370
- initial package python-intervaltree (needed for spyder)

